sphinx_wave2feat_s Struct Reference

## Data Fields

int | refcount
| Reference count.
cmd_ln_t * | config
| Configuration parameters.
fe_t * | fe
| Front end object.
char * | infile
| Path to input file.
char * | outfile
| Path to output file.
FILE * | infh
| Input file handle.
FILE * | outfh
| Output file handle.
short * | audio
| Audio buffer.
mfcc_t ** | feat
| Feature buffer.
int | blocksize
| Size of audio buffer.
int | featsize
| Size of feature buffer.
int | veclen
| Length of each output vector.
int | in_veclen
| Length of each input vector (for cep<->spec).
int | byteswap
| Whether byteswapping is necessary.
output_type_t const * | ot
| Output type object.

## Detailed Description

Definition at line 72 of file sphinx_fe.c.

## Field Documentation

## audio

short* sphinx_wave2feat_s::audio

Audio buffer.

Definition at line 80 of file sphinx_fe.c.

## blocksize

int sphinx_wave2feat_s::blocksize

Size of audio buffer.

Definition at line 82 of file sphinx_fe.c.

## byteswap

int sphinx_wave2feat_s::byteswap

Whether byteswapping is necessary.

Definition at line 86 of file sphinx_fe.c.

## config

cmd_ln_t* sphinx_wave2feat_s::config

Configuration parameters.

Definition at line 74 of file sphinx_fe.c.

## fe

fe_t* sphinx_wave2feat_s::fe

Front end object.

Definition at line 75 of file sphinx_fe.c.

## feat

mfcc_t** sphinx_wave2feat_s::feat

Feature buffer.

Definition at line 81 of file sphinx_fe.c.

## featsize

int sphinx_wave2feat_s::featsize

Size of feature buffer.

Definition at line 83 of file sphinx_fe.c.

## in_veclen

int sphinx_wave2feat_s::in_veclen

Length of each input vector (for cep<->spec).

Definition at line 85 of file sphinx_fe.c.

## infh

FILE* sphinx_wave2feat_s::infh

Input file handle.

Definition at line 78 of file sphinx_fe.c.

## infile

char* sphinx_wave2feat_s::infile

Path to input file.

Definition at line 76 of file sphinx_fe.c.

## ot

output_type_t const* sphinx_wave2feat_s::ot

Output type object.

Definition at line 87 of file sphinx_fe.c.

## outfh

FILE* sphinx_wave2feat_s::outfh

Output file handle.

Definition at line 79 of file sphinx_fe.c.

## outfile

char* sphinx_wave2feat_s::outfile

Path to output file.

Definition at line 77 of file sphinx_fe.c.

## refcount

int sphinx_wave2feat_s::refcount

Reference count.

Definition at line 73 of file sphinx_fe.c.

## veclen

int sphinx_wave2feat_s::veclen

Length of each output vector.

Definition at line 84 of file sphinx_fe.c.

The documentation for this struct was generated from the following file:

- src/sphinx_fe/sphinx_fe.c